Module java.desktop
Package java.awt

# Enum MultipleGradientPaint.ColorSpaceType

java.lang.Object
java.lang.Enum<MultipleGradientPaint.ColorSpaceType>
java.awt.MultipleGradientPaint.ColorSpaceType

All Implemented Interfaces:
  `Serializable`, `Comparable<MultipleGradientPaint.ColorSpaceType>`, `Constable`

Enclosing class:
  MultipleGradientPaint

    public static enum MultipleGradientPaint.ColorSpaceType
    extends Enum<MultipleGradientPaint.ColorSpaceType>

The color space in which to perform the gradient interpolation.

Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`LINEAR_RGB` | Indicates that the color interpolation should occur in linearized RGB space.
`SRGB` | Indicates that the color interpolation should occur in sRGB space.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static MultipleGradientPaint.ColorSpaceType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static MultipleGradientPaint.ColorSpaceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SRGB

public static final MultipleGradientPaint.ColorSpaceType SRGB
Indicates that the color interpolation should occur in sRGB space.

### LINEAR_RGB

public static final MultipleGradientPaint.ColorSpaceType LINEAR_RGB
Indicates that the color interpolation should occur in linearized RGB space.

## Method Details

### values

public static MultipleGradientPaint.ColorSpaceType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MultipleGradientPaint.ColorSpaceType valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null